import java.io.*;

public class DemoIO
{
    public static void write() throws IOException {
        FileOutputStream fos = new FileOutputStream("out.txt");
        OutputStreamWriter osw = new OutputStreamWriter(fos, "WINDOWS-1250");
        BufferedWriter bw = new BufferedWriter(osw);
        
        bw.write("ě+ščšřčžřžžýž");
        bw.newLine();
        bw.close();
    }
    
    public static void write(OutputStream os) throws IOException {
        OutputStreamWriter osw = new OutputStreamWriter(os, "UTF-8");
        BufferedWriter bw = new BufferedWriter(osw);
        
        bw.write("ě+ščšřčžřžžýž");
        bw.newLine();
        
        bw.flush();
        //bw.close();
    }
    
    public static void demo() throws IOException {
        write(System.out);
        
        FileOutputStream fos = new FileOutputStream("out.txt");
        write(fos);
        fos.close();
    }
    
    public static void systemInput() throws IOException {
        InputStreamReader r = new InputStreamReader(System.in);
        System.out.println("Zadejte vstup: ");
        int c = r.read();
        while (c != -1) {
            System.out.println((char)c);
            c = r.read();
        }
        System.out.println("Hotovo");
    }
    
    public static void writeClose1() throws IOException {
        write(System.out);
        
        FileOutputStream fos = new FileOutputStream("out.txt");
        try {
            write(fos);
        } finally {
            fos.close();
        }
    }
    
    public static void writeClose2() {
        FileOutputStream fos = null;
        try {
            fos = new FileOutputStream("out.txt");
            write(fos);
        } catch(IOException ex) {
            System.err.println(ex.getMessage());
        } finally {
            try {
                if (fos != null) fos.close();
            } catch(IOException ex) {
                System.err.println(ex.getMessage());
            }
        }
    }

    public static void writeClose3() {
        try {
            FileOutputStream fos = new FileOutputStream("out.txt");
            try {
                write(fos);
            } finally {
                fos.close();
            }
        } catch(IOException ex) {
            System.err.println(ex.getMessage());
        }
    }

    public static void writeClose4(File file) {
        try(FileOutputStream fos = new FileOutputStream(file)) {
            write(fos);
        } catch(IOException ex) {
            System.err.println(ex.getMessage());
        }
    }
    
    public static void writeClose5(FileOutputStream file) {
        BufferedOutputStream fos = new BufferedOutputStream(file);
        try/*(FileOutputStream fos = new FileOutputStream(file)*/ {
            write(fos);
            fos.flush();
        } catch(IOException ex) {
            System.err.println(ex.getMessage());
        }
    }
    
}
